[arch-commits] Commit in mypaint/trunk (PKGBUILD)

Levente Polyak anthraxx at archlinux.org
Fri Sep 6 14:10:19 UTC 2019


    Date: Friday, September 6, 2019 @ 14:10:19
  Author: anthraxx
Revision: 508277

upgpkg: mypaint 1.2.1-8 conflict with libmypaint

Since libmypaint is packages like upstream expects, it conflicts with mypaint.
There is no good way to make it co-installable unless we get pymaint 2.0 which
requires libmypaint 2.0. Currently both are alpha.
Revisit once both are released.

Modified:
  mypaint/trunk/PKGBUILD

----------+
 PKGBUILD |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-06 10:29:42 UTC (rev 508276)
+++ PKGBUILD	2019-09-06 14:10:19 UTC (rev 508277)
@@ -4,7 +4,7 @@
 
 pkgname=mypaint
 pkgver=1.2.1
-pkgrel=7
+pkgrel=8
 pkgdesc="Fast and easy painting application for digital painters, with brush dynamics"
 arch=('x86_64')
 url="http://mypaint.org/"
@@ -11,6 +11,8 @@
 license=('GPL')
 depends=('gtk3' 'python2-cairo' 'python2-gobject' 'python2-numpy')
 makedepends=('scons' 'swig')
+# requires mypaint 2.0 with libmypaint 2.0 to work dynamically
+conflicts=('libmypaint')
 source=(https://github.com/mypaint/$pkgname/releases/download/v$pkgver/$pkgname-$pkgver.tar.xz{,.asc}
         fix-wayland.patch
         0001-Fix-AppStream-metadata-validation.patch


More information about the arch-commits mailing list